/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.service.impl;

import org.codehaus.activemq.filter.Filter;
import org.codehaus.activemq.message.ConsumerInfo;
import org.codehaus.activemq.service.Dispatcher;
import org.codehaus.activemq.service.Subscription;

/**
 * An implemenation of {@link SubscriptionContainerImpl} for durable topic
 * subscriptions
 *
 * @version $Revision: 1.1 $
 */
public class DurableTopicSubscriptionContainerImpl extends SubscriptionContainerImpl {

    protected Subscription createSubscription(Dispatcher dispatcher, ConsumerInfo info, Filter filter) {
        return new DurableTopicSubscription(dispatcher, info, filter);
    }

}
